### Enumeration

# Soup DateFormat

#### Declaration

    enum Soup.DateFormat

#### Description [src]

Date formats that `soup_date_time_to_string()` can use.

`SOUP_DATE_HTTP` and `SOUP_DATE_COOKIE` always coerce the time to UTC.

This enum may be extended with more values in future releases.

#### Members

`SOUP_DATE_HTTP`

  RFC 1123 format, used by the HTTP “Date” header. Eg “Sun, 06 Nov 1994 08:49:37 GMT”.

  - Value: `1`
  - Available since: 3.0
`SOUP_DATE_COOKIE`

  The format for the “Expires” timestamp in the Netscape cookie specification. Eg, “Sun, 06-Nov-1994 08:49:37 GMT”.

  - Value: `2`
  - Available since: 3.0